module history.data;

import std.datetime;

import handy_httpd.components.optional;

import history.model;

interface HistoryRepository {
    Optional!History findById(ulong id);
    HistoryItem[] findItemsBefore(ulong historyId, SysTime timestamp, uint limit);
    HistoryItemText getTextItem(ulong itemId);
    void addTextItem(ulong historyId, SysTime timestamp, string text);
    void deleteById(ulong id);
}